> For the complete documentation index, see [llms.txt](https://docs.nuvens.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvens.cloud/api-reference/information.md).

# Information

## GET /api/Information/GetUserInformation

> Get User Information

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/GetUserInformation":{"get":{"tags":["Information"],"summary":"Get User Information","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"username","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /api/Information/Get24HourActivity

> Get User Activity (24hrs)

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/Get24HourActivity":{"get":{"tags":["Information"],"summary":"Get User Activity (24hrs)","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /api/Information/GetAdminActivity

> Get Admin Activity

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/GetAdminActivity":{"get":{"tags":["Information"],"summary":"Get Admin Activity","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"numberOfActivities","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/Information/RemoveWorkSpaceDbEntry

> Remove WorkSpace Entry

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/RemoveWorkSpaceDbEntry":{"post":{"tags":["Information"],"summary":"Remove WorkSpace Entry","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"workSpaceId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /api/Information/GetAllWorkSpaces

> Get All WorkSpaces

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/GetAllWorkSpaces":{"get":{"tags":["Information"],"summary":"Get All WorkSpaces","parameters":[{"name":"apiKey","in":"query","description":"Your API key for this endpoint (lowercase).","schema":{"type":"string"}},{"name":"limit","in":"query","description":"Max items per page (1–500). Default is 50.","schema":{"maximum":500,"minimum":1,"type":"integer","format":"int32"}},{"name":"nextToken","in":"query","description":"Token for the next page (returned in response); null when there are no more results.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}}}}}}}},"components":{"schemas":{"WorkSpaceApiResponse":{"type":"object","properties":{"workSpaces":{"type":"array","items":{"$ref":"#/components/schemas/WorkSpaceDetails"},"nullable":true},"nextToken":{"type":"string","description":"The token to use to retrieve the next page of results. This value is null when there are no more results to return.","nullable":true},"hasMore":{"type":"boolean","description":"Boolean to indicate more results available for return."}}},"WorkSpaceDetails":{"type":"object","properties":{"workSpId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"account":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"runningMode":{"type":"string","nullable":true},"computeTypeName":{"type":"string","nullable":true},"protocol":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}}}}}}
```

## GET /api/Information/GetWorkSpacesOnLitigationHold

> Get WorkSpaces on Litigation Hold

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Information"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Information/GetWorkSpacesOnLitigationHold":{"get":{"tags":["Information"],"summary":"Get WorkSpaces on Litigation Hold","parameters":[{"name":"apiKey","in":"query","description":"Your API key for this endpoint (lowercase).","schema":{"type":"string"}},{"name":"limit","in":"query","description":"Max items per page (1–500). Default is 50.","schema":{"maximum":500,"minimum":1,"type":"integer","format":"int32"}},{"name":"nextToken","in":"query","description":"Token for the next page (returned in response); null when there are no more results.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkSpaceApiResponse"}}}}}}}},"components":{"schemas":{"WorkSpaceApiResponse":{"type":"object","properties":{"workSpaces":{"type":"array","items":{"$ref":"#/components/schemas/WorkSpaceDetails"},"nullable":true},"nextToken":{"type":"string","description":"The token to use to retrieve the next page of results. This value is null when there are no more results to return.","nullable":true},"hasMore":{"type":"boolean","description":"Boolean to indicate more results available for return."}}},"WorkSpaceDetails":{"type":"object","properties":{"workSpId":{"type":"string","nullable":true},"computerName":{"type":"string","nullable":true},"account":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"directoryId":{"type":"string","nullable":true},"runningMode":{"type":"string","nullable":true},"computeTypeName":{"type":"string","nullable":true},"protocol":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"state":{"type":"string","nullable":true}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nuvens.cloud/api-reference/information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
